%global goipath  github.com/buger/jsonparser
%global forgeurl https://github.com/buger/jsonparser/
%global commit   2cac668e8456b4284edb0715e17e2af02d3ec993
Version: 0

%global common_description %{expand:
Alternative JSON parser for Go (so far fastest)

It does not require you to know the structure of the payload (eg. create
structs), and allows accessing fields by providing the path to them. It is up to
10 times faster than standard encoding/json package (depending on payload size
and usage), allocates no memory.}

%gometa

Name: %{goname}
Release: 0.2%{?dist}
Summary: Alternative JSON parser for Go that does not require schema (so far fastest)
License: MIT
URL: %{gourl}
Source0: %{gosource}
BuildArch: noarch
ExclusiveArch: %{go_arches} noarch

%description
%{common_description}

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.

%prep
%gosetup -q
# remove test benchmarks of other JSON libraries to limit dependencies
rm benchmark/benchmark_{codecgen,easyjson,ffjson,{large,medium,small}_payload_test}.go

%install
%goinstall

%check
%gochecks

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git2cac668.git2cac668
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 22 2018 Dominik Mierzejewski <dominik@greysector.net> - 0-0.1.20180322git2cac668
- First package for Fedora
